Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455619 - tmpdir variable not honored for internally created temporary tables
Summary: tmpdir variable not honored for internally created temporary tables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mysql
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Tom Lane
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 17:19 UTC by Patrice Guay
Modified: 2013-07-03 03:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-02 09:46:29 UTC


Attachments (Terms of Use)
Patch to fix the issue (deleted)
2008-07-16 17:19 UTC, Patrice Guay
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1289 normal SHIPPED_LIVE Moderate: mysql security and bug fix update 2009-09-01 13:32:14 UTC

Description Patrice Guay 2008-07-16 17:19:51 UTC
Description of problem:

The MySQL server is creating temporary tables for filesort in the working
directory instead of the specified tmpdir directory.

Version-Release number of selected component (if applicable):
5.0.45-7.el5

This bug is documented at the mysql bugtracker:
http://bugs.mysql.com/bug.php?id=30287

This bug has been fixed in mysql 5.0.48

Comment 1 Patrice Guay 2008-07-16 17:19:51 UTC
Created attachment 311974 [details]
Patch to fix the issue

Comment 6 errata-xmlrpc 2009-09-02 09:46:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1289.html


Note You need to log in before you can comment on or make changes to this bug.